Skip to content
Wazapin
Esc
navigateopen⌘Jpreview

POST /v1/commerce/draft-orders

POST/v1/commerce/draft-orders
Authorization
bearerAuthbearerAuthrequired
or
apiKeyAuthapiKeyAuthrequired
Request body
requiredapplication/json
customer_namestring
customer_phonestringrequired
itemsDraftOrderItemInput[] | nullrequired
Show properties
Array of DraftOrderItemInput
quantityinteger<int32>required
retailer_idstringrequired
promotion_codestring
source_channelstring
Allowed:whatsapp_catalogmanualcheckout_link
source_referencestring
Responses
201Created
draft_order_idstringrequired
expires_atstringrequired
tokenstringrequired
urlstringrequired
defaultError
errorErrorBodyrequired
Show properties
codestringrequired
detailsErrorDetail[] | null
Show properties
Array of ErrorDetail
codestring
fieldstring
locationstring
messagestringrequired
messagestringrequired
request_idstring
Request
curl -X POST "/v1/commerce/draft-orders" \
  -H "Content-Type: application/json" \
  -d '{
  "customer_name": "string",
  "customer_phone": "string",
  "items": [
    {
      "quantity": 0,
      "retailer_id": "string"
    }
  ],
  "promotion_code": "string",
  "source_channel": "whatsapp_catalog",
  "source_reference": "string"
}'
Response
{
  "draft_order_id": "string",
  "expires_at": "string",
  "token": "string",
  "url": "string"
}